* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
.seccion {
    opacity: 0;
    transition: opacity 1s ease;
}
  .seccion.visible {
    opacity: 1;
}
  
html {
    scroll-behavior: smooth;
}

body{
    background-color: #FFFCE0;
    line-height: 1.6;
}

h1,h2{
    font-family: Bona Nova SC;
}
h1{
    font-size: 54px;
}
p{
    font-family: Raleway;
}

header {
    background-color: #063150;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: sticky;
    top: 0;
    z-index: 1000; 
}
.menu-icon {
    display: none;
}
.logo {
    margin-left: 5%;
}

nav ul {
    list-style: none;
    display: flex;
    margin-right: 60px;
}

nav ul li {
    margin-left: 20px;
    font-family: Bona Nova;
}

nav ul li a:hover {
    color: #F73081;
}

nav ul li a {
    color: #fff;
    text-decoration: none;
}

.container {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    padding: 5px;
    border-radius: 8px;
}

.inicio{
    text-align: center;
    align-items: center;
    align-content: center;
    background-image: url('img/inicio.png');
    background-size: cover;
    background-position: center;
    color: #fff;
    padding: 150px 20px;
}

.resaltado{
    color: #F73081;
    font-weight: bold;
}

.boton {
    display: inline-block;
    margin-top: 20px;
    padding: 10px 30px;
    background-color: #F73081;
    color: #fff;
    border: none;
    border-radius: 5px;
    text-decoration: none;
    font-weight: bold;
    font-size: 1em;
}
.flex{
    display: flex;
}

/* ------------------------------ VALORES ----------------------------*/

#sobremi{
    display: flex;
    align-items: center;
    max-width: 900px;
    margin: auto;
    flex-direction: column;
    padding: 50px;
    text-align: justify;
}
.contenidoSobremi {
    display: flex;
    align-items: center;
    max-width: 900px;
    margin: auto;
}
#sobremi img{
    border-radius: 35px;
    margin-right: 30px;

}
#sobremi h1, .sobremi h2{
    border: #F73081;
    font-size: 35px !important;
}
#sobremi h2{
    font-size: 20px !important;
}

.rosa{
    color: #F73081;
}

.seccionValores {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 1em;
    margin-top: 2em;
    max-width: 1000px;
    margin: 0 auto;
}

/* ------------------------------ VALORES ----------------------------*/
.postic{
    background-color: #FFF9BC;
    border: 2px solid #f7d29a;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
}
.valor {

    border-radius: 10px;
    padding: 1.5em;
    width: 30%;
    min-width: 280px;
    align-content: center;
}

.valor:hover {
    transform: scale(1.05);
}

#servicios{
    background-image: url(img/servicios.jpg);
    padding: 100px 20px;
    background-size: cover;
    background-position: center;
    color: #fff;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1em;
    margin-top: 2em;
}
#servicios div{
    border: 2px solid #F73081;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    justify-content: center;
    max-width: 284px;
    margin-right: 30px;
    align-items: center;
    align-content: center;
}
.valor img {
    display: block;
    margin: 0 auto 1em auto;
}

/* ------------------------------ TURNOS ----------------------------*/
#turnos{
    background-color: #70889E;
    color: white;
    padding: 50px;
    align-items: center;
    align-content: center;
    text-align: center;
    background-position: center;
    color: #fff;
}

/* ------------------------------ MAPA ----------------------------*/

.mapa{
    background-image: url(img/mapa.jpg);
    background-size: cover;
    background-position: center;
    color: #fff;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between !important;
    gap: 1em;
}
.contenidoMapa{
    text-align: center;
    max-width: 800px;

}

/* ------------------------------ CONTACTO ----------------------------*/
.contacto{
    background-color: #063150;
    color: white;
    align-items: center;
    align-content: center;
    text-align: center;
    background-position: center;
}

.formularioContacto {
    display: flex;
    justify-content: center;
    align-items: center;
}

form {
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 800px;
    padding: 20px; 
    border: 2px solid #FFF9BC;
    background-color: #FFF9BC;
    color: #063150;
    border-radius: 10px;
    font-family: Raleway;
    margin-bottom: 20px;
}

label {
    margin: 5px 0 0px;
    text-align: left;
}

input, textarea {
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 1rem;
    width: 100%;
    font-family: Raleway;
}

textarea {
    resize: none;
    height: 100px;
}

button {
    padding: 8px;
    margin-top: 5px;
    border: none;
    background-color: #F73081;
    color: white;
    border-radius: 5px;
    font-size: 1rem;
    cursor: pointer;
}

button:hover {
    background-color: #063150;
    color: white;
}

/* ------------------------------ PREGUNTAS FRECUENTES ----------------------------*/



#preguntasfrecuentes h2 {
    color: #70889E;
    font-size: 2rem;
    font-weight: bold;
    text-align: center;
    margin-top: 20px;
}

.preguntas {
    margin: 15px 0;
    border: 1px solid #ddd;
    border-radius: 5px;
    overflow: hidden;
    background-color: #f7f7f7;
}

details {
    padding: 15px;
    font-size: 1rem;
}

summary {
    font-weight: bold;
    cursor: pointer;
}

summary:hover {
    color: #70889E;
}

details p {
    margin-top: 10px;
}

footer {
    background-color: #063150;
    color: white;
    text-align: center;
    padding: 20px;
}

.footer-contacto {
    display: flex;
    justify-content: center;
    gap: 15px;
    margin: 10px 0;
    flex-wrap: wrap;
}

.footer-contacto a {
    color: white;
    text-decoration: none;
    display: flex;
    align-items: center;
}

.footer-contacto img {
    width: 20px;
    height: 20px;
    margin-right: 4px;
}

footer p {
    margin-top: 10px;
    font-size: 0.9rem;
}

.copy{
    color: #70889E;
    text-decoration: none;
    align-items: center;
    margin-top: 10px;
}
.copy:hover, .footer-contacto a:hover{
    color: #F73081;
}


@media (max-width: 480px){
    .contenidoSobremi, .nav{
        flex-direction: column;
        display: block;
    }
    .mapa{
        padding: 25px;
    }
    .mapita{
        width: 250px;
        height: 120px;
    }
    header {
        display: flex;
        align-items: center;
        padding: 0;
    }

    .logo {
        margin-left: 30px;
    }

    .menu-icon {
        display: block;
        cursor: pointer;
        font-size: 24px;
        color: #F73081;
        margin-left: auto;
        margin-right: 30px;
    }

    nav ul {
        display: none;
        flex-direction: column;
        position: absolute;
        top: 60px;
        right: 0;
        background-color: #70889E;
        width: 200px;
        padding: 0;
        box-shadow: 0px 4px 8px rgba(0,0,0,0.2);
    }

    .menu-icon.active + nav ul {
        display: flex;
    }
    
    .contenidoSobremi, .nav {
        flex-direction: column;
        display: block;
    }
}